%define pypi_name pycryptodome

#
# When updating this pkg, please, update also python-pycryptodomex
#

Name:           python-%{pypi_name}
Version:        3.21.0
Release:        %mkrel 2
Summary:        Cryptographic library for Python
Group:          Development/Python
License:        MIT
URL:            https://pypi.python.org/pypi/pycryptodome
Source0:        %{pypi_source}
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
PyCryptodome is a self-contained Python package of low-level cryptographic primitives.

%package -n     python3-%{pypi_name}
Summary:        Cryptographic library for Python 3
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
Obsoletes:      python3-crypto < 2.6.1-3
Provides:       python3-crypto = 2.6.1-3%{?dist}
Provides:       python3-pycrypto = 2.6.1-3%{?dist}

%description -n python3-%{pypi_name}
PyCryptodome is a self-contained Python package of low-level cryptographic primitives.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files Crypto

%files -n python3-%{pypi_name} -f %{pyproject_files}


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 3.21.0-2.mga10
+ Revision: 2237991
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 daviddavid <daviddavid> 3.21.0-1.mga10
+ Revision: 2154191
- new version: 3.21.0
- rebuild for python 3.13

* Wed Dec 13 2023 papoteur <papoteur> 3.19.0-2.mga10
+ Revision: 2017842
- rebuild for python 3.12

* Sat Dec 09 2023 wally <wally> 3.19.0-1.mga10
+ Revision: 2016158
- new version 3.19.0

* Sun Feb 26 2023 wally <wally> 3.15.0-3.mga9
+ Revision: 1945507
- rebuild to obsolete python3-crypto

* Sat Feb 25 2023 wally <wally> 3.15.0-2.mga9
+ Revision: 1945448
- obsolete and provide pycrypto

* Sat Feb 25 2023 wally <wally> 3.15.0-1.mga9
+ Revision: 1945391
- new version 3.15.0
- sync version with python-pycryptodomex

* Fri Mar 18 2022 umeabot <umeabot> 3.10.1-3.mga9
+ Revision: 1799069
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 tv <tv> 3.10.1-2.mga9
+ Revision: 1775322
- Rebuild for python-3.10

* Fri Mar 19 2021 wally <wally> 3.10.1-1.mga9
+ Revision: 1704972
- new version 3.10.1

* Fri Mar 19 2021 neoclust <neoclust> 3.9.8-2.mga9
+ Revision: 1704947
- Rebuild against python 3.9

* Sat Aug 29 2020 wally <wally> 3.9.8-1.mga8
+ Revision: 1619658
- new version 3.9.8

* Wed Feb 26 2020 wally <wally> 3.9.7-1.mga8
+ Revision: 1550797
- new version 3.9.7

* Thu Feb 20 2020 umeabot <umeabot> 3.9.6-2.mga8
+ Revision: 1546956
- Mageia 8 Mass Rebuild

* Wed Feb 05 2020 wally <wally> 3.9.6-1.mga8
+ Revision: 1487311
- new version 3.9.6

* Thu Nov 28 2019 wally <wally> 3.9.4-1.mga8
+ Revision: 1463337
- new version 3.9.4

* Sat Nov 16 2019 wally <wally> 3.9.3-1.mga8
+ Revision: 1461177
- new version 3.9.3

* Thu Sep 05 2019 wally <wally> 3.9.0-1.mga8
+ Revision: 1437677
- new version 3.9.0
- drop python2 support

* Wed Jan 09 2019 shlomif <shlomif> 3.7.2-1.mga7
+ Revision: 1353738
- Rebuild for python3 3.7

* Wed Sep 12 2018 daviddavid <daviddavid> 3.6.6-1.mga7
+ Revision: 1258544
- new version: 3.6.6, fixes CVE-2018-15560 (mga#23542)

* Sun Aug 05 2018 wally <wally> 3.6.4-2.mga7
+ Revision: 1247881
- new version 3.6.4
- add conflicts for PyCrypto

* Sat Jun 23 2018 kekepower <kekepower> 3.6.3-1.mga7
+ Revision: 1239242
- Update to version 3.6.3

* Wed Mar 14 2018 kekepower <kekepower> 3.5.1-1.mga7
+ Revision: 1209341
- Update to version 3.5.1

* Sat Mar 03 2018 guillomovitch <guillomovitch> 3.4.11-1.mga7
+ Revision: 1206358
- imported package python-pycryptodome

